{
  "schema_version": "1.4.0",
  "id": "GHSA-cw2f-4p3w-w2xh",
  "modified": "2025-04-09T04:10:19Z",
  "published": "2022-05-02T03:29:36Z",
  "aliases": [
    "CVE-2009-1882"
  ],
  "details": "Integer overflow in the XMakeImage function in magick/xwindow.c in ImageMagick 6.5.2-8, and GraphicsMagick, allows remote attackers to cause a denial of service (crash) and possibly execute arbitrary code via a crafted TIFF file, which triggers a buffer overflow.  NOTE: some of these details are obtained from third party information.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2009-1882"
    },
    {
      "type": "WEB",
      "url": "https://usn.ubuntu.com/784-1"
    },
    {
      "type": "WEB",
      "url": "http://imagemagick.org/script/changelog.php"
    },
    {
      "type": "WEB",
      "url": "http://lists.fedoraproject.org/pipermail/package-announce/2010-January/033766.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.fedoraproject.org/pipermail/package-announce/2010-January/033833.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2009-07/msg00002.html"
    },
    {
      "type": "WEB",
      "url": "http://mirror1.smudge-it.co.uk/imagemagick/www/changelog.html"
    },
    {
      "type": "WEB",
      "url": "http://osvdb.org/54729"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/35216"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/35382"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/35685"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/36260"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/37959"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/55721"
    },
    {
      "type": "WEB",
      "url": "http://security.gentoo.org/glsa/glsa-201311-10.xml"
    },
    {
      "type": "WEB",
      "url": "http://wiki.rpath.com/Advisories:rPSA-2010-0074"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2009/dsa-1858"
    },
    {
      "type": "WEB",
      "url": "http://www.openwall.com/lists/oss-security/2009/06/08/1"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/archive/1/514516/100/0/threaded"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/35111"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2009/1449"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2009-06-02T15:30:00Z"
  }
}